=== debian/changelog ===
bzr (2.7.0-2ubuntu1) xenial; urgency=low

  * Resynchronise on Debian (LP: #1544487). Remaining changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}
  * Take change from Debian bzr to point to the proper Vcs-* URLs

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Thu, 11 Feb 2016 10:58:26 +0100

bzr (2.7.0-2) unstable; urgency=medium

  * Add patch 13_spurious_failure: Same root cause as 03_spurious_failure
    (client and server using the same socket in one process is racy).

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Wed, 10 Feb 2016 09:49:05 +0100

bzr (2.7.0-1) unstable; urgency=medium

  * New upstream release.
   + Drop unnecessary patch 05_remove_gzip_test.
   + Drop upstream applied 06_win32_paths.
   + Drop upstream applied 11_disable_warningtest.
   + Stop skipping tests in override_dh_auto_test (upstream takes care of them)

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Wed, 03 Feb 2016 21:05:25 +0100

bzr (2.7.0~bzr6614-1) unstable; urgency=medium

  * New upstream snapshot.
   + Drop unnecessary patch 08_disable_put_file_unicode.
   + Drop upstream applied 10_fix_float.
   + Drop upstream applied 12_autodoc_unicode.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Feb 2016 14:43:21 +0000

bzr (2.6.0+bzr6606-2ubuntu1) xenial; urgency=medium

  * Resynchronise on Debian. Remaining changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}
  * Try re-enabling the tests that we disabled before.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Nov 2015 17:25:15 +0000

bzr (2.6.0+bzr6606-2) unstable; urgency=medium

  * Add 12_autodoc_unicode: Fix build with non-ascii language settings.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Nov 2015 02:27:42 +0000

bzr (2.6.0+bzr6606-1) unstable; urgency=medium

  * New upstream snapshot.
   + Fixes compatibility with newer versions of paramiko. Closes: #794146
  * Add patch 10_fix_float: Fixes compatibility with newer versions of
    testtools. Closes: #804388
  * Drop patch 09_remove_generation_time: applied upstream.
  * Specify -Derror when running selftest.
  * Add 11_disable_warningtest to work around
    https://bugs.launchpad.net/bzr/+bug/1514210.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 13:02:47 +0000

bzr (2.6.0+bzr6602-3) unstable; urgency=medium

  [ Vincent Ladeuil ]
   * Disable the failing TestBadStatusServer tests for build and autopkgtest,
     they became racy (Closes: #787057).

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Make linitan clean by reordering paragraphs.
  * debian/bzr.bash-completion: Install bash completion file using
    dh_bash-completion.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 16 Jun 2015 21:55:08 -0400
