=== debian/tests/control ===
Tests: testsuite
Depends: bzr, python-bzrlib.tests, python-subunit, ca-certificates, python-meliae, python-lzma, python-pycurl, python-medusa
Restrictions: allow-stderr
