## bzr 2.7.0%2Bbzr6622

=== debian/changelog ===
bzr (2.7.0+bzr6622-10) unstable; urgency=medium

  * Add patch 29_commit_message_encoding_test: Fix running of
    test_edit_commit_message when locale doesn't support non-ascii
    characters. Closes: #883743
  * Bump standard sversion to 4.1.2 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Dec 2017 02:52:47 +0000

bzr (2.7.0+bzr6622-9) unstable; urgency=medium

  * Add patch 28_fix_matchers: fix order of got/expected for matchers to
    cope with new testtools. Closes: #881194

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 09 Nov 2017 00:23:05 +0000

bzr (2.7.0+bzr6622-8) unstable; urgency=medium

  * Drop recommends/suggests of python-gpgme, due do be dropped from
    Debian. Closes: #876982

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Sep 2017 23:46:28 +0100

bzr (2.7.0+bzr6622-7) unstable; urgency=high

  * Add patch 27_fix_sec_ssh: Strip out hostnames starting with dash in
    bzr+ssh URLs, as they might allow an attacker to provide SSH command-
    line flags. CVE-2017-14176 Closes: #874429, LP: #1710979

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Aug 2017 16:07:06 +0000

bzr (2.7.0+bzr6622-6) unstable; urgency=medium

  * Depend on version of cython that produces reproducible C files.
  * Just ship a refreshed copy of ssl certs, rather than generating
    them as part of package build - which introduces
    reproducibility issues.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 08 Aug 2017 00:30:58 +0000

bzr (2.7.0+bzr6622-5) unstable; urgency=medium

  * Bump standards version to 4.0.0 (no changes).
  * Regenerate test ssl certs at build time, so they won't be expired
    when the test suite runs. Should fix reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Jul 2017 22:56:07 +0000

bzr (2.7.0+bzr6622-4) unstable; urgency=medium

  * Use 'localhost' rather than '127.0.0.1' in SSL certificates, as the
    latter trips up pycurl. Closes: #868966
  * Correctly handle spaces in filenames when symlinking duplicate
    files. Closes: #847495

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Jul 2017 15:14:59 +0000

bzr (2.7.0+bzr6622-3) unstable; urgency=medium

  * Stop installing bzr.1, only install the alternatives symlink.
    Closes: #865369

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 20 Jun 2017 20:22:06 +0000

bzr (2.7.0+bzr6622-2) unstable; urgency=medium

  * Update SNI patch from upstream branch, fixing SSL-related tests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Jun 2017 00:33:03 +0000

bzr (2.7.0+bzr6622-1) experimental; urgency=medium

  * Use alternatives for /usr/bin/bzr, so that breezy can install an
    alternative version.
  * New upstream snapshot.
  * Drop patch 16_paramiko_compat: applied upstream.
  * Refresh patch 15_autodoc_source_epoch.
  * Drop patch 18_diff_binaries: applied upstream.
  * Drop patch 19_fix_long_creds: applied upstream.
  * Drop patch 20_fix_lazy_regex: applied upstream.
  * Drop patch 21_pycurl_proxy_url: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 02 Jun 2017 01:03:07 +0000

bzr (2.7.0+bzr6619-7) unstable; urgency=medium

  * Add patch 23_ssl_host: avoid extra checking of server cert. Closes:
    #850960

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 11 Jan 2017 23:48:19 +0000

bzr (2.7.0+bzr6619-6) unstable; urgency=low

  * Disable lzma support on m68k, powerpcspe, sh4 where python-lzma is
    not available.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Dec 2016 00:38:32 +0000

bzr (2.7.0+bzr6619-5) unstable; urgency=low

  * Order files by name when eliminating dupes, in an attempt to make
    the build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Dec 2016 14:41:05 +0000

bzr (2.7.0+bzr6619-4) unstable; urgency=medium

  * Add patch 22_test_copy_to: skip test_copy_to, as it's failing on
    armel.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2016 22:12:55 +0000

bzr (2.7.0+bzr6619-3) unstable; urgency=medium

  * Fix compatibility with python2.7 2.7.12-7. Patch by Vincent.
    Closes: #845335 LP: #1644003
  * Sanitize URL scheme when running HTTP proxy tests for curl.
    LP: #1645017

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 26 Nov 2016 16:17:06 +0000

bzr (2.7.0+bzr6619-2) unstable; urgency=medium

  * Add 18_diff_binaries: With diffutils > 3.5, diff stop exiting with '2'
    on binary files. LP: #1622039
    Closes: #837268

  * Add 19_fix_long_creds: Fix http Basic auth with credentials longer
    than ~57 characters. LP: #1606203

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Fri, 09 Sep 2016 16:00:49 +0200

bzr (2.7.0+bzr6619-1) unstable; urgency=medium

  * Bump standards version to 3.9.8 (no changes).
  * New upstream snapshot.
  * Be consistent in what file is the target of symlinks when creating
    symlinks for documentation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 19:18:34 +0000

bzr (2.7.0-7) unstable; urgency=low

  * Add patch 17_reproducible_makefile: Fix order of documentation files
    processing in Makefiles, making build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 18:38:42 +0000

bzr (2.7.0-6) unstable; urgency=low

  * Set PYTHONHASHSEED to 0 when building sphinx docs, to force
    reproducible build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 May 2016 18:31:28 +0000

bzr (2.7.0-5) unstable; urgency=medium

  * Enable PGP checking of upstream tarball.
  * Cope with paramiko making argument to SFTPFile.prefetch() mandatory.
    Closes: #822116

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 14:45:18 +0000

bzr (2.7.0-4) unstable; urgency=low

  * Add patch 15_autodoc_source_epoch: Support SOURCE_DATE_EPOCH for
    timestamp used in manpages. Improves reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 13:54:38 +0000

bzr (2.7.0-3) unstable; urgency=low

  * Add Vincent to uploaders.
  * Add 14_en_user_guide patch: Make bzr build more reproducible: when
    locale is set to French, don't leak French phrases into English user-

