## bzr 2.7.0+bzr6619

=== Makefile ===
--- 
+++ 
@@ -148,7 +148,7 @@
 NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)
 
 doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
-	$(PYTHON) tools/generate_docs.py -o $@ rstx
+	LANGUAGE=C $(PYTHON) tools/generate_docs.py -o $@ rstx
 
 doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
 	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)
@@ -361,4 +361,3 @@
 # to fetch the dependencies
 # These are files that need to be copied into the build location to boostrap
 # the build process.
-# Note that the path is relative to tools/win32
