=== debian/changelog ===
bzr (2.7.0+bzr6619-7+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Use 'localhost' rather than '127.0.0.1' in SSL certificates, as the latter
    trips up pycurl (Closes: #868966)
  * Ship a refreshed copy of the ssl certs used in testsuite
  * Prevent SSH command line options from being specified in bzr+ssh:// URLs
    (CVE-2017-14176) (Closes: #874429)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Nov 2017 21:12:18 +0100
