=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>
Build-Depends: bash-completion,
               ca-certificates,
               cython-dbg | python-pyrex,
               debhelper (>= 9),
               fdupes,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-configobj (>= 4.7.2+ds-2),
               python-docutils,
               python-lzma-dbg [!m68k !powerpcspe !sh4],
               python-medusa,
               python-meliae-dbg,
               python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
               python-pycurl-dbg,
               python-sphinx (>= 1.0.7+dfsg),
               python-subunit,
               python-testtools (>= 0.9.5~)
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.7
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.7
Homepage: http://bazaar-vcs.org
XS-Testsuite: autopkgtest

Package: bzr
Recommends: python-gpgme
Architecture: all
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: bzr-pqm (<< 1.4.0~bzr80),
        bzr-xmloutput (<< 0.8.8+bzr160),
        python-bzrlib (<< 2.4.0~beta3~)
Suggests: bzr-doc,
          bzrtools,
          python-bzrlib.tests
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (qbzr), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp.

Package: python-bzrlib
Architecture: any
Section: python
Depends: python-configobj,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python-launchpadlib,
            ssh-client | python-paramiko
Conflicts: python-paramiko (<< 1.14.1)
Suggests: python-bzrlib-dbg,
          python-bzrlib.tests,
          python-gpgme,
          python-kerberos (>= 1.0+svn2455-1),
          python-paramiko,
          python-pycurl,
          xdg-utils
Breaks: bzr (<< 2.3.0-2),
        bzr-grep
Provides: bzr-grep,
          ${python:Provides}
Replaces: bzr (<< 2.3.0-2),
          bzr-grep
Description: distributed version control system - python library
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Bazaar Python library.
 .
 Install python-paramiko for sftp transport support.

Package: python-bzrlib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-bzrlib (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: python-dbg
Suggests: python-gpgme-dbg,
          python-lzma-dbg,
          python-meliae-dbg
Description: distributed version control system - debug extension
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the debug extension for the Bazaar Python library.

Package: python-bzrlib.tests
Architecture: all
Section: python
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         python-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-subunit
Breaks: python-bzrlib (<< 2.4.0~beta1-2)
Provides: ${python:Provides}
Replaces: python-bzrlib (<< 2.4.0~beta1-2)
Description: distributed version control system - testsuite
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the bzrlib test infrastructure and testsuite,
 which is required to run the 'bzr selftest' command and to run
 plugin tests.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: bzr
Replaces: bzr (<< 2.0.1)
Breaks: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (qbzr), or native
 interaction with Subversion branches (bzr-svn).
 .
 This package provides the documentation.
