=== debian/changelog ===
bzr (2.7.0+bzr6622-17ubuntu1) eoan; urgency=medium

  * Keep all the packaging improvements in 17,
    but drop the test removal, since it breaks all the reverse-deps,
    and for now we still have python-testtools in eoan
    (RC bug in Debian ongoing)
  * Keep compat level to 11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Sep 2019 18:48:50 +0200

bzr (2.7.0+bzr6622-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove patches missing from debian/patches/series.

  [ Jelmer Vernooĳ ]
  * Stop running the testsuite, and drop python-bzrlib.tests since
    testtools is no longer packaged for Python 2. See
    https://lists.debian.org/debian-python/2019/09/msg00110.html for
    background.
  * Bump standards version to 4.4.0 (no changes).
  * Bump debhelper from old 10 to 12.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Sep 2019 10:32:02 +0000

bzr (2.7.0+bzr6622-16) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Change priority extra to priority optional.
  * Re-export upstream signing key without extra signatures.

  [ Jelmer Vernooĳ ]
  * Drop dependency on python-meliae, which is about to be removed from
    unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 31 Aug 2019 22:00:55 +0000

bzr (2.7.0+bzr6622-15) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Add 30_test_too_much: Disable flaky test_too_much tests. Closes:
    #913810

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 16:41:56 +0000

bzr (2.7.0+bzr6622-14) unstable; urgency=medium

  * Drop unused bzr-builddeb.conf.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.
  * Drop dependency on removed python-lzma-dbg. Closes: #912050
  * Drop build dependency on python-pycurl-dbg and python-meliae-dbg.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Nov 2018 03:01:46 +0000

bzr (2.7.0+bzr6622-13) unstable; urgency=medium

  * Add upstream metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Sep 2018 19:22:57 +0100

bzr (2.7.0+bzr6622-12) unstable; urgency=medium

  * Add missing build dependency on python-stemmer; needed to build
    documentation with Sphinx. Closes: #907381

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Sep 2018 20:05:27 +0100

bzr (2.7.0+bzr6622-11) unstable; urgency=medium

  * Update Vcs-Bzr URL to point at Launchpad, now that alioth's bzr
    hosting is gone.
  * Update X-Python-Version field to 2.7.
  * List global files wildcard first in debian/copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 May 2018 13:55:03 +0000
