=== debian/control ===
--- 
+++ 
@@ -8,31 +8,28 @@
            Vincent Ladeuil <v.ladeuil+lp@free.fr>
 Build-Depends: bash-completion,
                ca-certificates,
-               cython-dbg | python-pyrex,
-               debhelper (>= 9),
+               cython-dbg (>= 0.25.2-2),
                fdupes,
+               openssl,
                python (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma-dbg [!m68k !powerpcspe !sh4],
+               python-lzma [!m68k !powerpcspe !sh4],
                python-medusa,
-               python-meliae-dbg,
                python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
-               python-pycurl-dbg,
+               python-pycurl,
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
-               python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.7
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.7
-Homepage: http://bazaar-vcs.org
-XS-Testsuite: autopkgtest
+               python-testtools (>= 2.3.0~),
+               python-stemmer,,debhelper-compat (= 11)
+Standards-Version: 4.4.0
+Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
+Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
+Homepage: https://bazaar-vcs.org
 
 Package: bzr
-Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (<= ${source:Version}.1~),
          python-bzrlib (>= ${source:Version}),
@@ -80,7 +77,6 @@
 Conflicts: python-paramiko (<< 1.14.1)
 Suggests: python-bzrlib-dbg,
           python-bzrlib.tests,
-          python-gpgme,
           python-kerberos (>= 1.0+svn2455-1),
           python-paramiko,
           python-pycurl,
@@ -102,7 +98,7 @@
 
 Package: python-bzrlib-dbg
 Architecture: any
-Priority: extra
+Priority: optional
 Section: debug
 Depends: python-bzrlib (= ${binary:Version}),
          ${misc:Depends},
@@ -110,9 +106,7 @@
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: python-dbg
-Suggests: python-gpgme-dbg,
-          python-lzma-dbg,
-          python-meliae-dbg
+Suggests: python-lzma-dbg
 Description: distributed version control system - debug extension
  Bazaar is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and
@@ -125,7 +119,7 @@
 Section: python
 Depends: python-bzrlib (<= ${source:Version}.1~),
          python-bzrlib (>= ${source:Version}),
-         python-testtools (>= 0.9.5~),
+         python-testtools (>= 2.3.0~),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-subunit
