=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,12 @@
 		mkdir -p debian/python-bzrlib/usr/share; \
 		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
 	fi;
-	dh_install --list-missing --fail-missing
+	mv debian/tmp/usr/bin/bzr debian/tmp/usr/bin/bzr.bzr
+	mkdir -p debian/tmp/usr/share/man/man1
+	mv debian/tmp/usr/man/man1/bzr.1 \
+	   debian/tmp/usr/share/man/man1/bzr.bzr.1
+	dh_install
+	dh_missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install.
 	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
@@ -80,13 +85,16 @@
 
 override_dh_link:
 	# symlink identical resources.
-	( cd debian/bzr-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
-	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
-	      f=$$1; shift; \
-	      for d; do \
-		  ln -sf /usr/share/doc/"$$d" "$$f"; \
-	      done; \
-	done )
+	cd debian/bzr-doc/usr/share/doc && fdupes -o name -rnq . | while read line; do \
+		if [ -z "$$line" ]; then \
+			target=""; \
+		elif [ -z "$$target" ]; then \
+			target=$$line; \
+		else \
+			echo "symlinking duplicate file '$$line' to '$$target'"; \
+			ln -sf /usr/share/doc/"$$target" "$$line"; \
+		fi; \
+	done
 	dh_link
 
 override_dh_sphinxdoc:
