## bzr 2.7.0+bzr6622+brz

=== debian/changelog ===
bzr (2.7.0+bzr6622+brz) unstable; urgency=medium

  * Add transitional packages to brz.
  * Change priority extra to priority optional.
  * Move transitional packages bzr, python-bzrlib, python-bzrlib-dbg,
    python-bzrlib.tests, bzr-doc to oldlibs/optional per policy 4.0.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Sep 2019 22:25:39 +0000
