=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
Homepage: https://bazaar-vcs.org

Package: bzr
Architecture: all
Depends: brz, ${misc:Depends}
Breaks: bzr-builddeb (<< 2.8.12+brz),
        bzr-email (<< 0.0.1~bzr58+brz),
        bzr-fastimport (<< 0.13.0+bzr361+brz),
        bzr-git (<< 0.6.13+bzr1650+brz),
        bzr-loom (<< 2.2.0+brz),
        bzr-stats (<< 0.1.0+bzr54+brz),
        bzr-upload (<< 1.1.0+brz),
        bzrtools (<< 2.6.0+brz),
        loggerhead (<< 1.19~bzr479+dfsg+brz),
        loggerhead-doc (<< 1.19~bzr479+dfsg+brz)
Description: transitional dummy package for brz
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs

Package: bzr-doc
Architecture: all
Section: oldlibs
Depends: brz-doc, ${misc:Depends}
Description: transitional dummy package for brz-doc
 This is a transitional package, replacing the Bazaar documentation
 packaging with the Breezy documentation packaging.
 .
 It can be safely removed after an upgrade.
