## bzr 2.7.0+bzr6622+brzbuild1

=== debian/changelog ===
bzr (2.7.0+bzr6622+brzbuild1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 18:54:40 +0000
