## bzr 2.7.0.1

=== debian/changelog ===
bzr (2.7.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: cd5226123cf6373dd19faeb32cbe0cad3cb9d183']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 19:58:00 +0000
